Bug 645341 - (CVE-2010-4008) CVE-2010-4008 libxml2: Crash (stack frame overflow or NULL pointer dereference) by traversal of XPath axis
CVE-2010-4008 libxml2: Crash (stack frame overflow or NULL pointer dereferenc...
Status: ASSIGNED
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20101104,reported=20101018,sou...
: Reopened, Security
Depends On: 820846 652056 710397 771906 771907 833934 891477 891478
Blocks: 734217 734221 771915 891480
  Show dependency treegraph
 
Reported: 2010-10-21 06:57 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-11 14:23:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-10-21 06:57:57 EDT
A security flaw was found in the way libxml traversed XPath axis
of particular Extensible Markup Language (XML) file and tested
namespace / attribute context nodes for their validity. A remote
attacker could provide a specially-crafted XML file, which once
opened with an application linked against libxml would cause that
application to crash (due stack frame overflow and / or with NULL
pointer dereference on some architectures).

Chrome bug report (not accessible for public audience):
[1] http://code.google.com/p/chromium/issues/detail?id=58731

Upstream changesets:
[2] http://git.gnome.org/browse/libxml2/commit/?id=91d19754d46acd4a639a8b9e31f50f31c78f8c9c
[3] http://git.gnome.org/browse/libxml2/commit/?id=ea90b894146030c214a7df6d8375310174f134b9

Acknowledgements:

Red Hat would like to thank the Google Security Team for reporting this issue. Upstream acknowledges Bui Quang Minh from Bkis as the original reporter.
Comment 4 Jan Lieskovsky 2010-10-21 07:44:15 EDT
This issue did NOT affect the versions of the libxml and libxml2 package,
as shipped with Red Hat Enterprise Linux 3.

This issue did NOT affect the version of the libxml2 package, as shipped
with Red Hat Enterprise Linux 4.

This issue affects the version of the libxml2 package, as shipped with
Red Hat Enterprise Linux 5.

--

This issue affects the versions of the libxml2 package, as shipped with
Fedora release of 12 and 13.
Comment 6 Jan Lieskovsky 2010-10-26 11:49:05 EDT
The CVE identifier of CVE-2010-4008 has been assigned to this issue.
Comment 8 Vincent Danen 2010-11-10 17:01:13 EST
Statement:

This issue did not affect the versions of libxml and libxml2 as shipped with Red Hat Enterprise Linux 3, and it did not affect the version of libxml2 as shipped with Red Hat Enterprise Linux 4.
Comment 9 Vincent Danen 2010-11-10 17:02:51 EST
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 652056]
Comment 11 errata-xmlrpc 2011-12-06 13:55:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1749 https://rhn.redhat.com/errata/RHSA-2011-1749.html
Comment 14 errata-xmlrpc 2012-01-11 12:49:43 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0017 https://rhn.redhat.com/errata/RHSA-2012-0017.html
Comment 17 errata-xmlrpc 2013-01-31 14:32:37 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0217 https://rhn.redhat.com/errata/RHSA-2013-0217.html

Note You need to log in before you can comment on or make changes to this bug.